Subject: [MMUSIC] BUNDLE/SDP : ISSUE#1: Should BUNDLE allow/disallow PT sharing ??

From: Suhas Nandakumar <[email-masked]>
Date: Mon, 21 Oct 2013 23:36:20 -0700

Hello All

   Section 5.2 in the draft-nandakumar-mmusic-sdp-mux-attributes-05 defines
one category of OPEN ISSUE that was raised while analyzing multiplexing
behavior of RFC4855, RFC5583 attributes for example.

As an example, let's consider the  SDP Example (copied from the draft)

// PTs are shared and have different feedback types
   a=group:BUNDLE audio video
   m=audio 3456 RTP/AVP 98
   a=mid:audio
   a=rtpmap:98 iLBC/8000
   a=rtcp-fb ack                  // Positive ACK
   m=video 3456 RTP/AVP 98
   a=mid:video
   a=rtpmap:98 VP8/90000
   a-rtcp-fb:98 nack rpsi        // Nack ACK

In the above case, PT 98 is repeated between the audio and video media
lines. Audio media line has rtcp-fb ack and video media line has rtcp-fb
nack.

Since RTCP reporting happens per RTP Session, we can see the following high
level questions :

0. Should this be allowed ?

1. What should be the expected behavior in this scenario ?

2. What category assignment makes sense in here - IDENTICAL or NORMAL ??

Cheers
Suhas

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 22 Oct 2013 07:07:04 +0000

Hi,

There is an ongoing discussion regarding the usage of identical PT values, where Jonathan and Bo have suggested criteria.

Regards,

Christer

Sent from my Sony Ericsson Xperia arc S

Suhas Nandakumar <[email-masked]> wrote:

Hello All

   Section 5.2 in the draft-nandakumar-mmusic-sdp-mux-attributes-05 defines one category of OPEN ISSUE that was raised while analyzing multiplexing behavior of RFC4855, RFC5583 attributes for example.

In the above case, PT 98 is repeated between the audio and video media lines. Audio media line has rtcp-fb ack and video media line has rtcp-fb nack.

Since RTCP reporting happens per RTP Session, we can see the following high level questions :

Cheers
Suhas

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 22 Oct 2013 08:02:26 +0000

Hi,

Please note the “DECISION (BERLIN-Q1/Q2/Q7): Usage of specific PT value for single codec configuration” thread, were Jonathan and Bo have presented some ideas for the PT-value-reuse criteria.

Regards,

Christer

From: Harald Alvestrand [mailto:[email-masked]]
Sent: 22. lokakuuta 2013 10:56
To: Suhas Nandakumar
Cc: mmusic WG; Christer Holmberg; Cullen Jennings
Subject: Re: BUNDLE/SDP : ISSUE#1: Should BUNDLE allow/disallow PT sharing ??

0: No, using PT 98 for both audio and video should absolutely not be allowed. Reuse of a PT for different codecs MUST NOT be done. I thought that was pretty clear in BUNDLE already; if it's not 100% crystal clear, it needs to be made clear.

1: Either the SDP should be rejected outright or the response to this SDP needs to disallow bundling those two lines. This belongs in the BUNDLE spec, and I thought it was pretty clear already.

2: If the question is about the "a=rtcp-fb" field, I think it should be classified as NORMAL. If it is about "a=rtcp-fb:98", it makes more sense to call it IDENTICAL.

On Tue, Oct 22, 2013 at 8:36 AM, Suhas Nandakumar <[email-masked]<mailto:[email-masked]>> wrote:
Hello All

   m=audio 3456 RTP/AVP 98

   a=mid:audio

   a=rtpmap:98 iLBC/8000

   m=video 3456 RTP/AVP 98

   a=mid:video

   a=rtpmap:98 VP8/90000

Cheers
Suhas

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 22 Oct 2013 09:55:50 +0200

0: No, using PT 98 for both audio and video should absolutely not be
allowed. Reuse of a PT for different codecs MUST NOT be done. I thought
that was pretty clear in BUNDLE already; if it's not 100% crystal clear, it
needs to be made clear.

1: Either the SDP should be rejected outright or the response to this SDP
needs to disallow bundling those two lines. This belongs in the BUNDLE
spec, and I thought it was pretty clear already.

2: If the question is about the "a=rtcp-fb" field, I think it should be
classified as NORMAL. If it is about "a=rtcp-fb:98", it makes more sense to
call it IDENTICAL.

On Tue, Oct 22, 2013 at 8:36 AM, Suhas Nandakumar <[email-masked]>wrote:

> Hello All
>
>    Section 5.2 in the draft-nandakumar-mmusic-sdp-mux-attributes-05
> defines one category of OPEN ISSUE that was raised while analyzing
> multiplexing behavior of RFC4855, RFC5583 attributes for example.
>